package com.gic.haoban.manage.service.service.content;

import com.gic.haoban.manage.service.entity.content.TabHaobanInteractRecord;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * 互动记录明细(TabHaobanInteractRecord)表服务接口
 *
 * @author makejava
 * @since 2023-03-28 10:32:48
 */
public interface TabHaobanInteractRecordService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TabHaobanInteractRecord queryById(Long id);

    /**
     * 分页查询
     *
     * @param tabHaobanInteractRecord 筛选条件
     * @param pageRequest             分页对象
     * @return 查询结果
     */
    Page<TabHaobanInteractRecord> queryByPage(TabHaobanInteractRecord tabHaobanInteractRecord, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param tabHaobanInteractRecord 实例对象
     * @return 实例对象
     */
    TabHaobanInteractRecord insert(TabHaobanInteractRecord tabHaobanInteractRecord);

    /**
     * 修改数据
     *
     * @param tabHaobanInteractRecord 实例对象
     * @return 实例对象
     */
    TabHaobanInteractRecord update(TabHaobanInteractRecord tabHaobanInteractRecord);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

}
