package com.gic.haoban.manage.web.controller.content;

import com.gic.api.base.commons.Page;
import com.gic.commons.webapi.reponse.RestResponse;
import com.gic.haoban.manage.web.qo.content.InteractRecordQO;
import com.gic.haoban.manage.web.vo.content.InteractRecordVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 好办-互动记录
 **/
@Slf4j
@RestController
@RequestMapping(path = "/interact/record")
public class InteractRecordController {

    /**
     * 会员互动记录列表
     * @return
     */
    @RequestMapping(path = "/list")
    public RestResponse<Page<InteractRecordVO>> queryInteractRecordList(@RequestBody InteractRecordQO interactRecordQO){
        return RestResponse.successResult();
    }

}
